×
INTELLIGENT WORK FORUMS
FOR ENGINEERING PROFESSIONALS

Contact US

Log In

Come Join Us!

Are you an
Engineering professional?
Join Eng-Tips Forums!
  • Talk With Other Members
  • Be Notified Of Responses
    To Your Posts
  • Keyword Search
  • One-Click Access To Your
    Favorite Forums
  • Automated Signatures
    On Your Posts
  • Best Of All, It's Free!

*Eng-Tips's functionality depends on members receiving e-mail. By joining you are opting in to receive e-mail.

Posting Guidelines

Promoting, selling, recruiting, coursework and thesis posting is forbidden.

Students Click Here

Error macro which multiple coincidence assemblies fastly

Error macro which multiple coincidence assemblies fastly

Error macro which multiple coincidence assemblies fastly

(OP)
Hi friends
I am working about macro which multiple coincidence assemblies fastly.
Briefly; the logic of the code is as follows
1- Selecting all part axis with tools palette
2- Selecting axis to be moved with tools palette
3- Updating
But my code give error on line 55.
Can you help me plz.

Sub CATMain()

Dim i, j As Integer
Dim parcaeksenSelection, konumeksenSelection As Object
Dim partaxisStatus, placeaxisStatus As Variant
Dim oRef1, oRef2 As reference

Set MyDoc = CATIA.ActiveDocument

Dim oProduct1 As Product
Set oProduct1 = CATIA.ActiveDocument.Product

Dim oConstraints As constraints
Set oConstraints = oProduct1.Connections("CATIAConstraints")

Dim partaxisobjectType(0)
partaxisobjectType(0) = "AxisSystems"
Set partaxisSelection = MyDoc.Selection
partaxisSelection.Clear
Set partaxisSelection = partaxisSelection

partaxisStatus = partaxisSelection.SelectElement3(partaxisobjectType(), "select part axis", True, CATMultiSelTriggWhenUserValidatesSelection, False)

If (partaxisStatus = "cancel") Then
Exit Sub
End If

Dim placeaxisobjectType(0)
placeaxisobjectType(0) = "AxisSystems"
Set placeaxisSelection = MyDoc.Selection
placeaxisSelection.Clear
Set placeaxisSelection = placeaxisSelection


placeaxisStatus = placeaxisSelection.SelectElement3(placeaxisobjectType, "select another axis", True, CATMultiSelTriggWhenUserValidatesSelection, False)

If (placeaxisStatus = "cancel") Then
Exit Sub
End If

j = 1
For i = 1 To placeaxis.Count

Set oRef1 = partaxisSelection.Item(i)
Set oRef2 = placeaxisSelection.Item(i)

Set Constraint&("j") = constraints&("j").AddBiEltCst(catCstTypeOn, oRef1, oRef2)

j = j + 1

Next

End Sub

Red Flag This Post

Please let us know here why this post is inappropriate. Reasons such as off-topic, duplicates, flames, illegal, vulgar, or students posting their homework.

Red Flag Submitted

Thank you for helping keep Eng-Tips Forums free from inappropriate posts.
The Eng-Tips staff will check this out and take appropriate action.

Reply To This Thread

Posting in the Eng-Tips forums is a member-only feature.

Click Here to join Eng-Tips and talk with other members! Already a Member? Login


Resources

Low-Volume Rapid Injection Molding With 3D Printed Molds
Learn methods and guidelines for using stereolithography (SLA) 3D printed molds in the injection molding process to lower costs and lead time. Discover how this hybrid manufacturing process enables on-demand mold fabrication to quickly produce small batches of thermoplastic parts. Download Now
Design for Additive Manufacturing (DfAM)
Examine how the principles of DfAM upend many of the long-standing rules around manufacturability - allowing engineers and designers to place a part’s function at the center of their design considerations. Download Now
Taking Control of Engineering Documents
This ebook covers tips for creating and managing workflows, security best practices and protection of intellectual property, Cloud vs. on-premise software solutions, CAD file management, compliance, and more. Download Now

Close Box

Join Eng-Tips® Today!

Join your peers on the Internet's largest technical engineering professional community.
It's easy to join and it's free.

Here's Why Members Love Eng-Tips Forums:

Register now while it's still free!

Already a member? Close this window and log in.

Join Us             Close